import time
from celery import shared_task
import random
import string


@shared_task(bind=True)
def send_notification(self,device_token: str):
    return True


@shared_task(name="credit_report")
def send_credit_analysis():
    print("Generated and sent credit analysis to all active users")
    


def generate_transaction_id(prefix="RETR"):
    random_part = ''.join(random.choices(string.ascii_uppercase + string.digits, k=10))
    return f"{prefix}-{random_part}"